%global modname pyriemann

Name:           python-%{modname}
Version:        0.2.4
Release:        1%{?dist}
Summary:        Covariance matrices manipulation and Biosignal classification

License:        BSD
URL:            https://github.com/alexandrebarachant/pyRiemann
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
pyriemann is a python package for covariance matrices manipulation and
classification through riemannian geometry.

The primary target is classification of multivariate biosignals,
like EEG, MEG or EMG.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-scikit-learn
BuildRequires:  python2-joblib
BuildRequires:  python2-numpy
BuildRequires:  python2-scipy
BuildRequires:  python2-pandas
BuildRequires:  python2-matplotlib
Requires:       python2-scikit-learn
Requires:       python2-joblib
Requires:       python2-numpy
Requires:       python2-scipy
Requires:       python2-pandas
Requires:       python2-matplotlib

%description -n python2-%{modname}
pyriemann is a python package for covariance matrices manipulation and
classification through riemannian geometry.

The primary target is classification of multivariate biosignals,
like EEG, MEG or EMG.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-scikit-learn
BuildRequires:  python3-joblib
BuildRequires:  python3-numpy
BuildRequires:  python3-scipy
BuildRequires:  python3-pandas
BuildRequires:  python3-matplotlib
Requires:       python3-scikit-learn
Requires:       python3-joblib
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-pandas
Requires:       python3-matplotlib

%description -n python3-%{modname}
pyriemann is a python package for covariance matrices manipulation and
classification through riemannian geometry.

The primary target is classification of multivariate biosignals,
like EEG, MEG or EMG.

Python 3 version.

%prep
%autosetup -n pyRiemann-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
pushd tests
  PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests-%{python2_version} -v
  # https://github.com/alexandrebarachant/pyRiemann/issues/51
  PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version} -v || :
popd

%files -n python2-%{modname}
%license LICENSE
%doc README.md examples
%{python2_sitelib}/%{modname}*

%files -n python3-%{modname}
%license LICENSE
%doc README.md examples
%{python3_sitelib}/%{modname}*

%changelog
* Sat Mar 11 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.3-7
- Rebuild for Python 3.6

* Mon Sep 26 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.2.3-6
- rebuilt for matplotlib-2.0.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 29 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.3-3
- Fix building with new scikit-learn
- Fix requirements a bit

* Thu Nov 12 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.3-2
- Fix pandas requirements on f23

* Wed Nov 11 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.3-1
- Initial package
